> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Custom Field

> A `DELETE` to the `/custom-fields/{model}/{id}/{customField}` endpoint allows your application to delete custom field.



## OpenAPI

````yaml delete /v3/custom-fields/{model}/{id}/{customField}
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/custom-fields/{model}/{id}/{customField}:
    delete:
      tags:
        - Custom Field
      summary: Delete Custom Field
      description: >-
        A `DELETE` to the `/custom-fields/{model}/{id}/{customField}` endpoint
        allows your application to delete custom field.
      operationId: customField.destroy
      parameters:
        - name: model
          in: path
          required: true
          schema:
            type: string
        - name: id
          in: path
          required: true
          schema:
            type: integer
        - name: customField
          in: path
          required: true
          schema:
            type: string
      responses:
        '204':
          description: No content
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
components:
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message

````